extends Node2D

var SPEED = 500
var Velocity = Vector2();

func _physics_process(delta):
	if SPEED < 0:
		$Plasma/Bullet.flip_h = true
	Velocity.x = SPEED * delta
	translate(Velocity)

func _on_VisibilityNotifier2D_screen_exited():
	queue_free()

func _on_Plasma_body_entered(body):
	if "dummy" in body.name:
		pass
